You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@doris.apache.org by yi...@apache.org on 2024/04/23 14:24:58 UTC

(doris) 02/08: ci: align build-for-release-selectdb.sh script (#10)

This is an automated email from the ASF dual-hosted git repository.

yiguolei pushed a commit to branch selectdb-doris-2.0-ikas
in repository https://gitbox.apache.org/repos/asf/doris.git

commit 255858e44aba2571eafa2558e364d38b8278aab5
Author: py023 <13...@users.noreply.github.com>
AuthorDate: Thu Dec 7 21:45:27 2023 +0800

    ci: align build-for-release-selectdb.sh script (#10)
---
 build-for-release-selectdb.sh | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

diff --git a/build-for-release-selectdb.sh b/build-for-release-selectdb.sh
index 16c6a87c3a1..6c43df8d640 100755
--- a/build-for-release-selectdb.sh
+++ b/build-for-release-selectdb.sh
@@ -110,6 +110,14 @@ echo "Get params:
 "
 
 ARCH="$(uname -m)"
+if [[ "${ARCH}" == "aarch64" ]]; then
+    ARCH="arm64"
+elif [[ "${ARCH}" == "x86_64" ]]; then
+    ARCH="x64"
+else
+    echo "Unknown arch: ${ARCH}"
+    exit 1
+fi
 
 ORI_OUTPUT="${ROOT}/output"
 
@@ -119,7 +127,7 @@ BROKER="apache_hdfs_broker"
 AUDIT="audit_loader"
 
 PACKAGE_NAME="selectdb-doris-${VERSION}-bin-${ARCH}"
-if [[ "${_USE_AVX2}" == "0" && "${ARCH}" == "x86_64" ]]; then
+if [[ "${_USE_AVX2}" == "0" && "${ARCH}" == "x64" ]]; then
     PACKAGE_NAME="${PACKAGE_NAME}-noavx2"
 fi
 OUTPUT="${ORI_OUTPUT}/${PACKAGE_NAME}"
@@ -130,7 +138,7 @@ echo "Package Path: ${OUTPUT}"
 # download and setup java
 JAVA8_DOWNLOAD_LINK=
 JAVA8_DIR_NAME=
-if [[ "${ARCH}" == "x86_64" ]]; then
+if [[ "${ARCH}" == "x64" ]]; then
     JAVA8_DOWNLOAD_LINK="https://selectdb-doris-1308700295.cos.ap-beijing.myqcloud.com/release/jdbc_driver/jdk-8u351-linux-x64.tar.gz"
     JAVA8_DIR_NAME="jdk1.8.0_351"
 elif [[ "${ARCH}" == "arm64" ]]; then


---------------------------------------------------------------------
To unsubscribe, e-mail: commits-unsubscribe@doris.apache.org
For additional commands, e-mail: commits-help@doris.apache.org